<?php

namespace app\admin\controller;

use app\BaseController;
use think\App;
use think\facade\Db;

class Brand extends BaseController
{
    public $post="";
    public function __construct(App $app)
    {
        parent::__construct($app);
        $this->post=$this->request->post();
    }
    public function create(){
        $brand_name=isset( $this->post['brand_name']) && $this->post['brand_name'] !=="" ? trim($this->post['brand_name']):"";
        if($brand_name==""){
            return error_show(1002,"参数brand_name不能为空");
        }
        $logo_url= isset($this->post['logo_url'])  && $this->post['logo_url'] !=="" ? trim($this->post['logo_url']):"";
//        if($logo_url==""){
//            return error_show(1002,"参数logo_url不能为空");
//        }
        $token = isset($this->post['token'])&& $this->post['token']!='' ? trim($this->post['token']):"";
        if($token==''){
            return error_show(1005,"参数token不能为空");
        }
        $user =GetUserInfo($token);
        if(empty($user)||$user['code']!=0){
            return error_show(1002,"创建人数据不存在");
        }
        $createrid= isset($user["data"]['id']) ?  $user["data"]['id'] : "";
        $creater= isset($user["data"]['nickname']) ?  $user["data"]['nickname'] : "";
        $status = isset($this->post['status']) &&$this->post['status'] !==""? intval($this->post['status']):"0";

        $data=[
            "brand_name"=>$brand_name,
            "logo_url"=>$logo_url,
            "createrid"=>$createrid,
            "creater"=>$creater,
            "status"=>$status,
            "is_del"=>0,
            "addtime"=>date("Y-m-d H:i:s"),
            "updatetime"=>date("Y-m-d H:i:s")
        ];
        $datainfo =Db::name('brand')->insert($data);
        if($datainfo){
            return error_show(0,"新建成功");
        }else{
            return error_show(1002,"新建失败");
        }
    }
    public function list(){
        $page = isset($this->post['page']) && $this->post['page'] !==""? intval($this->post['page']):"1";
        $size = isset($this->post['size']) && $this->post['size'] !=="" ? intval($this->post['size']):"10";
        $where=[["is_del","=",0]];
        $brand_name = isset($this->post['brand_name']) && $this->post['brand_name'] !=="" ? trim($this->post['brand_name']):"";
        if($brand_name!=""){
            $where[]=['brand_name',"like","%$brand_name%"];
        }
        $status = isset($this->post['status']) && $this->post['status'] !=="" ? intval($this->post['status']):"";
        if($status!=""){
            $where[]=['status',"=",$status];
        }
        $creater = isset($this->post['creater']) && $this->post['creater'] !=="" ? intval($this->post['creater']):"";
        if($creater!=""){
            $where[]=['creater',"like","%$creater%"];
        }
        $start = isset($this->post['start']) && $this->post['start']!=="" ? $this->post['start']:"";
        if($start!==""){
            $where[]=['addtime',">=",date('Y-m-d H:i:s',strtotime($start))];
        }
        $end = isset($this->post['end']) && $this->post['end']!=="" ? $this->post['end']:"";
        if($end!==""){
            $where[]=['addtime',"<",date('Y-m-d H:i:s',strtotime($end)+24*3600)];
        }
        $count = Db::name('brand') ->where($where)->count();
        $total = ceil($count / $size);
        $page = $page >= $total ? $total : $page;
        $list = Db::name('brand')->where($where)->page($page,$size)->order("addtime desc")->select();
        return app_show(0,"获取成功",['list'=>$list,'count'=>$count]);
    }
}